Subject: bug#2148: In shell mode, comint-send-input seems to cut off at 254 characters

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Apr 2009 10:09:35 -0400

> The ^D is sent in process.c:5781.  If we are splitting a string into
> chunks for sending to the process, Emacs puts in an EOF (C-d) to "force
> it through".

> I can't think of any fix, off the top of my head.  Stefan, can you?  If
> not, we could simply document this limitation in PROBLEMS.

The obvious fix is to not add this ^D.  At least I could never
understand what it was supposed to do ("force it though"?  what does
that mean?).

        Stefan